<?php
/*
@package WordPress
@subpackage desire
*/
?>
<?php global $options, $themename; ?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if(trim(get_the_title()) != ""): ?>
    <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( translate( 'Permalink to %s', $themename ) ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    <?php endif; ?>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
    <div class="entry-content">
        <div class="attachment">
            <?php
            $attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
            foreach ( $attachments as $k => $attachment ) {
                if ( $attachment->ID == $post->ID ) break;                    
            }
            $k++;
            if ( count( $attachments ) > 1 ) {
                if ( isset( $attachments[ $k ] ) )
                    $next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
                else
                    $next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
            } else {
                $next_attachment_url = wp_get_attachment_url();
            }
            ?>
            <a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment">
                <?php
                    $attachment_size = apply_filters( 'mytheme_attachment_size', 848 );
                    echo wp_get_attachment_image( $post->ID, array( $attachment_size, 1024 ) ); // filterable image width with 1024px limit for image height.
                ?>
            </a>
            <?php if ( ! empty( $post->post_excerpt ) ) : ?>
            <div class="entry-caption">
                <?php the_excerpt(); ?>
            </div>
            <?php endif; ?>
        </div> <!-- .attachment -->
        <?php the_content( __( 'Read more <span class="more-meta-nav">&raquo;</span>', $themename ) ); ?>
        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', $themename ), 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>            
    </div> <!-- .entry-content -->
</div>