<?php
/*
@package WordPress
@subpackage desire
*/
?>
<?php global $options, $themename; ?>
<?php if ('gallery' == get_post_format()) : ?>
<!-- Post Format: Gallery -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if(trim(get_the_title()) != ""): ?>
    <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( translate( 'Permalink to %s', $themename )), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    <?php endif; ?>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
    <div class="entry-content">
        <?php if(post_password_required()): ?>
            <?php the_content(); ?>
        <?php else: ?>
        <?php
            $images = get_children( array( 'post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC', 'numberposts' => 999 ) );
            if($images):
                $total_images = count($images);
                $image = array_shift($images);
                $image_img_tag = wp_get_attachment_image($image->ID, 'thumbnail');
        ?>
            <div class="gallery-thumb">
                <a class="size-thumbnail" href="<?php the_permalink(); ?>"><?php echo $image_img_tag; ?></a>
            </div>
            <p><?php printf(__('This gallery contains <a %1$s>%2$s photos</a>.', $themename), 'href="' . get_permalink() . '" title="' . sprintf(esc_attr__('Permalink to %s', $themename), the_title_attribute('echo=0')) . '" rel="bookmark"', $total_images); ?></p>
        <?php
            endif;
            the_excerpt();
        endif; ?>
    </div>
</div>

<?php elseif('status' == get_post_format()): ?>
<!-- Post Format: Status -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-content">
        <?php the_content( __( 'Read more <span class="more-meta-nav">&raquo;</span>', $themename ) ); ?>
        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', $themename ), 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
    </div>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
</div>

<?php elseif('image' == get_post_format() or 'video' == get_post_format() or 'quote' == get_post_format()): ?>
<!-- Post Format: Image or Video -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if(trim(get_the_title()) != ""): ?>
    <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', $themename ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    <?php endif; ?>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
    <div class="entry-content">
        <?php the_content( __( 'Read more <span class="more-meta-nav">&raquo;</span>', $themename ) ); ?>
        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', $themename ), 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>        
    </div>
</div>

<?php elseif(is_sticky($post->ID)): ?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if(trim(get_the_title()) != ""): ?>
    <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', $themename ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    <?php endif; ?>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
    <div class="entry-content">
        <?php the_content( __( 'Read more <span class="more-meta-nav">&raquo;</span>', $themename ) ); ?>
        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', $themename ), 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
    </div>
</div>

<?php elseif($options['blog_style'] == 'magazine'): ?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if(has_post_thumbnail($post->ID)) {
        $imgOutput = get_the_post_thumbnail($post->ID,'thumbnail');
    } else if(mytheme_automatic_image($post->post_content) != "") {
        $imgOutput = mytheme_automatic_image($post->post_content);
        $imgOutput = '<img style="max-width: 150px; height: auto;" src="'.$imgOutput.'"/>';
    } else $imgOutput = "";    
    ?>
    <?php if(trim(get_the_title()) != ""): ?>
    <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', $themename ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    <?php endif; ?>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
    <div class="entry-content">
        <?php if($imgOutput != ""): ?>
        <div class="left mag-thumb">
           <?php echo $imgOutput; ?>
        </div>
        <?php endif; ?>
        <?php if($imgOutput != ""): ?>
        <div class="left mag-content">
        <?php endif; ?>
            <?php the_excerpt(); ?>
        <?php if($imgOutput != ""): ?>
        </div>
        <div class="clear"></div>
        <?php endif; ?>
    </div>
</div>

<?php else: ?>
<!-- All other post formats -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if(trim(get_the_title()) != ""): ?>
    <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', $themename ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
    <?php endif; ?>
    <div class="entry-meta">
        <?php mytheme_posted_on(); ?>
        <img class="post-meta-icon" src="<?php echo get_template_directory_uri(); ?>/images/comment_<?php echo $options['color_scheme']; ?>.png"/> <?php comments_popup_link(__( 'Reply', $themename ), _x( '1 comment', 'comments number', $themename ), _x( '% comments', 'comments number', $themename ) ); ?>
        <?php edit_post_link(__(' Edit', $themename), '<img class="post-meta-icon" src="'.get_template_directory_uri().'/images/edit_'.$options['color_scheme'].'.png"/>', ''); ?>
    </div>
    <div class="entry-content">
        <?php if($options['show_excerpts']): ?>
            <?php the_excerpt(); ?>
        <?php else: ?>
            <?php the_content( __( 'Read more <span class="more-meta-nav">&raquo;</span>', $themename ) ); ?>
            <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', $themename ), 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
        <?php endif; ?>
    </div>
</div>
<?php endif; ?>