<?php
/*---------------------------------------------------------------------------------*/
/* Tabbed content widget */
/*---------------------------------------------------------------------------------*/
class Desire_Tabbed_Content extends WP_Widget {   
    var $settings = array('number_of_posts','number_of_comments');    
    function Desire_Tabbed_Content() {
        global $themename;
        $widget_ops = array( 'description' => __( 'Display tabbed content on sidebar with this widget.', $themename ) );
        parent::WP_Widget( false, __( 'Desire - Tabbed Content', $themename ), $widget_ops );
    }
    
    function widget($args, $instance) {
        global $themename;
        extract( $args, EXTR_SKIP );
        $instance = $this->desire_enforce_defaults( $instance );
        extract( $instance, EXTR_SKIP );
        
        $unique_id = $args['widget_id'];
        echo $before_widget;
        ?>
        <span id="tab-recent" class="widget-tab current-tab"><?php _e('Recent',$themename); ?></span>
        <span id="tab-comments" class="widget-tab"><?php _e('Comments',$themename); ?></span>
        <span id="tab-tags" class="widget-tab"><?php _e('Tags',$themename); ?></span>
        <div class="widget-tab-content current-content" id="tab-content-recent">
            <?php mytheme_get_recent_posts($number_of_posts); ?>
        </div>
        <div class="widget-tab-content" id="tab-content-comments">
            <?php mytheme_get_recent_comments($number_of_comments); ?>
        </div>
        <div class="widget-tab-content" id="tab-content-tags">
            <?php wp_tag_cloud(); ?>
        </div>
        <?php
        echo $after_widget;
    }
    
    function update( $new_instance, $old_instance ) {
        $new_instance = $this->desire_enforce_defaults( $new_instance );
        return $new_instance;
    }
    
    function desire_enforce_defaults( $instance ) {
        $defaults = $this->desire_get_option();
        $instance = wp_parse_args( $instance, $defaults );
        $instance['number_of_posts'] = intval( $instance['number_of_posts'] );
        $instance['number_of_comments'] = intval( $instance['number_of_comments'] );
        if ( $instance['number_of_posts'] < 1 )
            $instance['number_of_posts'] = 5;
        if ( $instance['number_of_comments'] < 1 )
            $instance['number_of_comments'] = 5;
        return $instance;
    }
    
    function desire_get_option() {
        // Set the default to a blank string
        $settings = array_fill_keys( $this->settings, '' );
        // Now set the more specific defaults
        $settings['number_of_posts'] = 5;
        $settings['number_of_comments'] = 5;
        return $settings;
    }
    
    function form( $instance ) {
        global $themename;
        $instance = $this->desire_enforce_defaults( $instance );
        extract( $instance, EXTR_SKIP );
        ?>
        <p>
            <label for="<?php echo $this->get_field_id( 'number_of_posts' ); ?>"><?php _e( 'Numer of Posts:', $themename ); ?></label>
            <input type="text" name="<?php echo $this->get_field_name( 'number_of_posts' ); ?>"  value="<?php echo esc_attr( $number_of_posts ); ?>" class="" size="3" id="<?php echo $this->get_field_id( 'number_of_posts' ); ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id( 'number_of_comments' ); ?>"><?php _e( 'Number of Comments:', $themename ); ?></label>
            <input type="text" name="<?php echo $this->get_field_name( 'number_of_comments' ); ?>"  value="<?php echo esc_attr( $number_of_comments ); ?>" class="" size="3" id="<?php echo $this->get_field_id( 'number_of_comments' ); ?>" />
        </p>
        <?php
    }
}
register_widget( 'Desire_Tabbed_Content' );
?>